"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Password = function Password(props) {
  var size = props.size,
      bg = props.bg,
      fg = props.fg;
  return _react.default.createElement("svg", {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 512 512",
    width: size,
    height: size
  }, _react.default.createElement("circle", {
    fill: bg,
    cx: "256",
    cy: "256",
    r: "256"
  }), _react.default.createElement("path", {
    fill: fg,
    d: "M212 119v82.2l22 21.834-22 22.263V393h88v-82.2l-22-21.834 22-22.263V119z"
  }));
};

Password.propTypes = {
  size: _propTypes.default.number,
  bg: _propTypes.default.string,
  fg: _propTypes.default.string
};
Password.defaultProps = {
  size: 512,
  bg: '#1e1e1e',
  fg: '#fff'
};
var _default = Password;
exports.default = _default;