"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Affinity = function Affinity(props) {
  var size = props.size,
      bg = props.bg,
      fg = props.fg;
  return _react.default.createElement("svg", {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 512 512",
    width: size,
    height: size
  }, _react.default.createElement("circle", {
    fill: bg,
    cx: "256",
    cy: "256",
    r: "256"
  }), _react.default.createElement("path", {
    fill: fg,
    d: "M383.5 319.806L283.062 145.805H271.55l-3.358-5.85h-40.16l-18.872 32.724 7.889 13.664-39.217 67.901-23.703 13.664-25.591 44.387h-.038l19.967 34.574h6.907l5.586 9.813h109.118l8.907 15.361h3.888l-8.907-15.361h87.906l21.628-36.876zm-142.447-13.21l7.662 13.248h-66.392l69.374-119.838 61.711 106.665-72.355-.075z"
  }));
};

Affinity.propTypes = {
  size: _propTypes.default.number,
  bg: _propTypes.default.string,
  fg: _propTypes.default.string
};
Affinity.defaultProps = {
  size: 512,
  bg: '#1e1e1e',
  fg: '#fff'
};
var _default = Affinity;
exports.default = _default;