"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Calculator = function Calculator(props) {
  var size = props.size,
      bg = props.bg,
      fg = props.fg;
  return _react.default.createElement("svg", {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 512 512",
    width: size,
    height: size
  }, _react.default.createElement("circle", {
    fill: bg,
    cx: "256",
    cy: "256",
    r: "256"
  }), _react.default.createElement("path", {
    fill: fg,
    d: "M293 361.672h108v20H293zM293 321.073h108v20H293zM293 159.373h108v20H293zM219 159.372h-44v-43.998h-20v43.998h-44v20h44v44h20v-44h44zM210.255 382.486l-31.113-31.113 31.111-31.112-14.143-14.142-31.111 31.111-31.113-31.111-14.141 14.14 31.111 31.114-31.111 31.113 14.141 14.141 31.113-31.112 31.113 31.112z"
  }));
};

Calculator.propTypes = {
  size: _propTypes.default.number,
  bg: _propTypes.default.string,
  fg: _propTypes.default.string
};
Calculator.defaultProps = {
  size: 512,
  bg: '#1e1e1e',
  fg: '#fff'
};
var _default = Calculator;
exports.default = _default;