"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Dashboard = function Dashboard(props) {
  var size = props.size,
      bg = props.bg,
      fg = props.fg,
      fg2 = props.fg2;
  return _react.default.createElement("svg", {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 512 512",
    width: size,
    height: size
  }, _react.default.createElement("circle", {
    fill: bg,
    cx: "256",
    cy: "256",
    r: "256"
  }), _react.default.createElement("path", {
    fill: fg,
    d: "M203.238 128.5l15.944 192.78 31.164-17.031L203.238 128.5z"
  }), _react.default.createElement("path", {
    fill: fg2,
    d: "M203.257 128.532l43.816 163.509 32.353-.205-76.169-163.304z"
  }), _react.default.createElement("circle", {
    fill: fg2,
    cx: "259.565",
    cy: "334.303",
    r: "49.197"
  }));
};

Dashboard.propTypes = {
  size: _propTypes.default.number,
  bg: _propTypes.default.string,
  fg: _propTypes.default.string,
  fg2: _propTypes.default.string
};
Dashboard.defaultProps = {
  size: 512,
  bg: '#1e1e1e',
  fg: '#fff',
  fg2: '#efefef'
};
var _default = Dashboard;
exports.default = _default;