"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var FaceTime = function FaceTime(props) {
  var size = props.size,
      bg = props.bg,
      fg = props.fg;
  return _react.default.createElement("svg", {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 512 512",
    width: size,
    height: size
  }, _react.default.createElement("circle", {
    fill: bg,
    cx: "256",
    cy: "256",
    r: "256"
  }), _react.default.createElement("path", {
    fill: fg,
    d: "M162.021 182.268c-11.567 0-20.872 9.318-20.872 20.886v105.707a20.821 20.821 0 0 0 20.872 20.871h127.776c11.567 0 20.886-9.305 20.886-20.871V203.154a20.845 20.845 0 0 0-20.886-20.886H162.021zm210.417 16.015l-55.12 37.666V288.338l55.12 26.47V198.283zm3.162 0v116.525h7.9V198.282h-7.9zm-243.668 17.345c-1.905 0-3.432 1.578-3.432 3.526v13.013c0 1.948 1.526 3.513 3.432 3.513h4.993v-20.052h-4.993z"
  }));
};

FaceTime.propTypes = {
  size: _propTypes.default.number,
  bg: _propTypes.default.string,
  fg: _propTypes.default.string
};
FaceTime.defaultProps = {
  size: 512,
  bg: '#1e1e1e',
  fg: '#fff'
};
var _default = FaceTime;
exports.default = _default;