"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Ableton = function Ableton(props) {
  var size = props.size,
      bg = props.bg,
      fg = props.fg;
  return _react.default.createElement("svg", {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 512 512",
    width: size,
    height: size
  }, _react.default.createElement("circle", {
    fill: bg,
    cx: "256",
    cy: "256",
    r: "256"
  }), _react.default.createElement("path", {
    d: "M81 177v159h15.91V177H81zm47.727 0v159h15.91V177h-15.91zm47.728 0v159h15.909V177h-15.91zm47.727 0v159h15.909V177h-15.91zm47.727 0v15.9H431V177H271.91zm0 47.7v15.9H431v-15.9H271.91zm0 47.7v15.9H431v-15.9H271.91zm0 47.7V336H431v-15.9H271.91z",
    fill: fg
  }));
};

Ableton.propTypes = {
  size: _propTypes.default.number,
  bg: _propTypes.default.string,
  fg: _propTypes.default.string
};
Ableton.defaultProps = {
  size: 512,
  bg: '#1e1e1e',
  fg: '#fff'
};
var _default = Ableton;
exports.default = _default;