"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Dotgrid = function Dotgrid(props) {
  var size = props.size,
      bg = props.bg,
      fg = props.fg;
  return _react.default.createElement("svg", {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 512 512",
    width: size,
    height: size
  }, _react.default.createElement("circle", {
    fill: bg,
    cx: "256",
    cy: "256",
    r: "256"
  }), _react.default.createElement("g", {
    fill: fg,
    stroke: fg,
    strokeWidth: "20",
    strokeMiterlimit: "10"
  }, _react.default.createElement("circle", {
    cx: "151.6",
    cy: "155.2",
    r: "7.2"
  }), _react.default.createElement("circle", {
    cx: "259.6",
    cy: "155.2",
    r: "7.2"
  }), _react.default.createElement("circle", {
    cx: "360.4",
    cy: "155.2",
    r: "7.2"
  }), _react.default.createElement("circle", {
    cx: "360.4",
    cy: "256",
    r: "7.2"
  }), _react.default.createElement("circle", {
    cx: "259.6",
    cy: "256",
    r: "7.2"
  }), _react.default.createElement("circle", {
    cx: "360.4",
    cy: "356.8",
    r: "7.2"
  }), _react.default.createElement("circle", {
    cx: "259.6",
    cy: "356.799",
    r: "7.2"
  }), _react.default.createElement("circle", {
    cx: "151.6",
    cy: "356.799",
    r: "7.2"
  }), _react.default.createElement("circle", {
    cx: "151.6",
    cy: "256",
    r: "7.2"
  })));
};

Dotgrid.propTypes = {
  size: _propTypes.default.number,
  bg: _propTypes.default.string,
  fg: _propTypes.default.string
};
Dotgrid.defaultProps = {
  size: 512,
  bg: '#1e1e1e',
  fg: '#fff'
};
var _default = Dotgrid;
exports.default = _default;