"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Dropbox = function Dropbox(props) {
  var size = props.size,
      bg = props.bg,
      fg = props.fg;
  return _react.default.createElement("svg", {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 512 512",
    width: size,
    height: size
  }, _react.default.createElement("circle", {
    fill: bg,
    cx: "256",
    cy: "256",
    r: "256"
  }), _react.default.createElement("g", {
    fill: fg
  }, _react.default.createElement("path", {
    d: "M199.564 128.497l-80.646 52.662 55.765 44.653 81.315-50.21zM118.918 270.473l80.646 52.654 56.434-47.098-81.315-50.217zM255.998 276.03l56.433 47.097 80.647-52.654-55.758-44.661z"
  }), _react.default.createElement("path", {
    d: "M393.078 181.159l-80.647-52.662-56.433 47.105 81.322 50.21zM256.169 286.164l-56.605 46.967-24.22-15.821v17.728l80.825 48.466 80.817-48.466V317.31l-24.22 15.821z"
  })));
};

Dropbox.propTypes = {
  size: _propTypes.default.number,
  bg: _propTypes.default.string,
  fg: _propTypes.default.string
};
Dropbox.defaultProps = {
  size: 512,
  bg: '#1e1e1e',
  fg: '#fff'
};
var _default = Dropbox;
exports.default = _default;