"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var GitHub = function GitHub(props) {
  var size = props.size,
      bg = props.bg,
      fg = props.fg;
  return _react.default.createElement("svg", {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 512 512",
    width: size,
    height: size
  }, _react.default.createElement("circle", {
    fill: bg,
    cx: "256",
    cy: "256",
    r: "256"
  }), _react.default.createElement("path", {
    d: "M223.469 348.01c-59.147 17.745-59.147-29.573-82.806-35.488M306.274 383.5v-45.78a39.88 39.88 0 0 0-11.12-30.875c37.145-4.14 76.182-18.217 76.182-82.806 0-16.513-6.364-32.4-17.744-44.36a60.003 60.003 0 0 0-1.065-44.597c-6.068-14.171-13.958-4.14-46.253 17.508a158.321 158.321 0 0 0-82.805 0c-32.295-21.648-46.253-17.508-46.253-17.508a60.003 60.003 0 0 0-1.065 44.597 64.367 64.367 0 0 0-17.744 44.715c0 64.116 39.037 78.193 76.181 82.806a39.886 39.886 0 0 0-11.12 30.52v45.78",
    fill: "none",
    stroke: fg,
    strokeWidth: "19.045334"
  }));
};

GitHub.propTypes = {
  size: _propTypes.default.number,
  bg: _propTypes.default.string,
  fg: _propTypes.default.string
};
GitHub.defaultProps = {
  size: 512,
  bg: '#1e1e1e',
  fg: '#fff'
};
var _default = GitHub;
exports.default = _default;